Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.endpoint
Class AbstractMetaEndpointBuilder

    java.lang.Object
      org.mule.endpoint.AbstractEndpointBuilder
          org.mule.endpoint.EndpointURIEndpointBuilder
              org.mule.endpoint.AbstractMetaEndpointBuilder

All Implemented Interfaces:
  Cloneable, MuleContextAware, EndpointBuilder

Direct Known Subclasses:
  AtomEndpointBuilder, CxfEndpointBuilder, RssEndpointBuilder, WsdlCxfEndpointBuilder

    public abstract class AbstractMetaEndpointBuilder

extends EndpointURIEndpointBuilder

A base class used for Meta endpoint builders such as RSS or ATOM. This class overrides the `setProperties(java.util.Map)` method

Field Summary

Fields inherited from class org.mule.endpoint.AbstractEndpointBuilder
`connector, createConnector, deleteUnacceptedMessages, disableTransportTransformer, encoding, initialState, logger, messageExchangePattern, messageProcessors, messageProcessorsFactory, mimeType, muleContext, name, properties, PROPERTY_RESPONSE_PROPERTIES, PROPERTY_RESPONSE_TIMEOUT, registryId, responseMessageProcessors, responsePropertiesList, responseTimeout, responseTransformers, retryPolicyTemplate, synchronous, transactionConfig, transformers, uriBuilder`

Constructor Summary
`protected` | `AbstractMetaEndpointBuilder()`
`protected` | `AbstractMetaEndpointBuilder(EndpointURI endpointURI)`
`protected` | `AbstractMetaEndpointBuilder(EndpointURIEndpointBuilder global)`
`protected` | `AbstractMetaEndpointBuilder(ImmutableEndpoint source)`
`protected` | `AbstractMetaEndpointBuilder(String address, MuleContext muleContext)`
`protected` | `AbstractMetaEndpointBuilder(URIBuilder builder)`

Method Summary
`static String` | `getEndpointAddressWithoutMetaScheme(String string)`
`protected String` | `getScheme()`
`void` | `setProperties(Map<Object,Object> properties)` NOTE - this appends properties.

Methods inherited from class org.mule.endpoint.AbstractEndpointBuilder
`addMessageProcessor, addResponseMessageProcessor, addResponseTransformer, addResponseTransformers, addResponseTransformersFromUri, addTransformer, addTransformers, addTransformersFromUri, buildInboundEndpoint, buildOutboundEndpoint, checkInboundExchangePattern, clone, doBuildInboundEndpoint, doBuildOutboundEndpoint, equal, equals, getConnector, getDefaultConnector, getDefaultDeleteUnacceptedMessages, getDefaultDisableTransportTransformer, getDefaultEndpointEncoding, getDefaultInitialState, getDefaultMessageProcessorsFactory, getDefaultResponseTimeout, getDefaultSecurityFilter, getDefaultTransactionConfig, getDeleteUnacceptedMessages, getEndpointBuilder, getEndpointEncoding, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getName, getProperties, getResponseMessageProcessors, getResponseTimeout, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, hashCode, initExchangePatternFromConnectorDefault, isAlwaysCreateConnector, isDisableTransportTransformer, prepareToBuildEndpoint, setConnector, setCreateConnector, setDeleteUnacceptedMessages, setDisableTransportTransformer, setEncoding, setExchangePattern, setInitialState, setMessageProcessors, setMimeType, setMuleContext, setName, setPropertiesFromProperties, setProperty, setRegistryId, setResponseMessageProcessors, setResponseTimeout, setResponseTransformers, setRetryPolicyTemplate, setTransactionConfig, setTransformers, setURIBuilder`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMetaEndpointBuilder

    protected AbstractMetaEndpointBuilder()

### AbstractMetaEndpointBuilder

    protected AbstractMetaEndpointBuilder(EndpointURIEndpointBuilder global)
                                   throws EndpointException

Throws:
  `EndpointException`

### AbstractMetaEndpointBuilder

    protected AbstractMetaEndpointBuilder(URIBuilder builder)

### AbstractMetaEndpointBuilder

    protected AbstractMetaEndpointBuilder(String address,
                                          MuleContext muleContext)

### AbstractMetaEndpointBuilder

    protected AbstractMetaEndpointBuilder(EndpointURI endpointURI)

### AbstractMetaEndpointBuilder

    protected AbstractMetaEndpointBuilder(ImmutableEndpoint source)

Method Detail

### setProperties

    public void setProperties(Map<Object,Object> properties)

  Description copied from class: `AbstractEndpointBuilder`
  NOTE - this appends properties.

  Specified by:
    `setProperties` in interface `EndpointBuilder`
  Overrides:
    `setProperties` in class `AbstractEndpointBuilder`

### getScheme

    protected String getScheme()

  Overrides:
    `getScheme` in class `AbstractEndpointBuilder`

### getEndpointAddressWithoutMetaScheme

    public static String getEndpointAddressWithoutMetaScheme(String string)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.